%define upstream_name    Class-AutoClass
%define upstream_version 1.56

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Yet another OO helper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Hash::AutoHash::Args) >= 1.100.0
BuildRequires: perl(IO::Scalar) >= 2.100.0
BuildRequires: perl(Module::Build) >= 0.400.700
BuildRequires: perl(Scalar::Util) >= 1.10.0
BuildRequires: perl(Storable) >= 2.160.0
BuildRequires: perl(Test::Deep) >= 0.98.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Content)
BuildArch:  noarch

%description
This perl module brings the following advantages:
- get and set methods for simple attributes can be automatically
  generated
- argument lists are handled as described below
- the protocol for object creation and initialization is close to
  the 'textbook' approach generally suggested for object-oriented Perl
  (see below)
- object initialization is handled correctly in the presence of multiple
  inheritance

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std


%files 
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Class
%{_mandir}/*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.560.0-7pclos2017
- rebuild against updates

